Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1073632 - [RFE] Add specific errata with dependencies to cloned channel
Summary: [RFE] Add specific errata with dependencies to cloned channel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 1015963
Blocks: spacewalk-rfe space22
TreeView+ depends on / blocked
 
Reported: 2014-03-06 20:33 UTC by Stephen Herr
Modified: 2014-07-17 08:41 UTC (History)
5 users (show)

Fixed In Version: spacewalk-utils-2.2.8-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1015963
Environment:
Last Closed: 2014-07-17 08:41:05 UTC
Embargoed:


Attachments (Terms of Use)

Description Stephen Herr 2014-03-06 20:33:47 UTC
+++ This bug was initially created as a clone of Bug #1015963 +++

spacewalk-clone-by-date should have an option that allows you to specify a list of errata that should be cloned into the new channel. If you do, only those errata will be cloned (and their dependencies unless you specify otherwise).

Comment 1 Stephen Herr 2014-03-06 21:31:49 UTC
Committing to Spacewalk master:
82c8e967fa6aa0c2466e03955c6b9c3e5039b689

Comment 2 Stephen Herr 2014-03-07 15:29:12 UTC
And this commit to fix pylint errors:
649907ee8fb387e5c8fccc74bb69532e5e4eb889

Comment 3 Stephen Herr 2014-03-07 16:46:15 UTC
And another pylint error:
a914d034480af0d709717cfaf816e943d4ae0d6a

Comment 4 Stephen Herr 2014-03-11 16:08:03 UTC
Fixing "NoneType is not subscriptable" error if no errata specified:
3889076562bc39bf9d9dec008f0f271aaef558c3

Comment 5 Milan Zázrivec 2014-07-17 08:41:05 UTC
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22


Note You need to log in before you can comment on or make changes to this bug.